<RSSFeed> Protocol Reference

`#include <RSSFeedProtocol.h>`

## Instance Methods

(NSEnumerator *) | - articleEnumerator
(NSSet *) | - articleSet
(int) | - articleCount
(BOOL) | - isFetching
(NSString *) | - feedName
(NSURL *) | - feedURL
(enum RSSFeedError) | - fetch
(void) | - fetchInBackground
(enum RSSFeedError) | - lastError
(BOOL) | - autoClear

## Detailed Description

The RSS feed protocol defines the way users are supposed to talk to a feed.

## Method Documentation

## articleCount

- (int) articleCount |  |  |

Returns
  the number of articles in this feed

References articleCount.

Referenced by articleCount.

## articleEnumerator

- (NSEnumerator *) articleEnumerator |  |  |

Returns
  an enumerator for the articles in this feed

Reimplemented in RSSFeed.

References articleEnumerator.

Referenced by articleEnumerator.

## articleSet

- (NSSet *) articleSet |  |  |

Returns
  a set that contains this feed's articles

References articleSet.

Referenced by articleSet.

## autoClear

- (BOOL) autoClear |  |  |

Returns
  YES, if the automatic clearing of the article list is enabled for this feed. NO otherwise.

References autoClear.

Referenced by autoClear.

## feedName

- (NSString *) feedName |  |  |

Returns
  The name of the feed

Reimplemented in RSSFeed.

References feedName.

Referenced by feedName.

## feedURL

- (NSURL *) feedURL |  |  |

Returns
  the URL where the feed can be downloaded from (as NSURL object)

See also
  NSURL

Reimplemented in RSSFeed.

References feedURL.

Referenced by feedURL.

## fetch

- (enum RSSFeedError) fetch |  |  |

Fetches the feed from the web.

Returns
  An error number (of type enum RSSFeedError)

See also
  NSURL
  RSSFeedError

Reimplemented in RSSFeed.

References fetch.

Referenced by fetch.

## fetchInBackground

- (void) fetchInBackground |  |  |

Fetches the feed from the web. Feed fetching is done in the background. When the feed is fetched, the feed will post a RSSFeedFetchedNotification.

See also
  RSSFeedFetchedNotification

Reimplemented in RSSFeed.

References fetchInBackground.

Referenced by fetchInBackground.

## isFetching

- (BOOL) isFetching |  |  |

Returns YES if and only if this feed is currently being fetched.

Reimplemented in RSSFeed.

References isFetching.

Referenced by isFetching.

## lastError

- (enum RSSFeedError) lastError |  |  |

Returns the last fetching error.

References lastError.

Referenced by lastError.

The documentation for this protocol was generated from the following file:

- RSSFeedProtocol.h